Taglet

## com.sun.tools.doclets
Interface Taglet

public interface Taglet

The interface for a custom tag used by Doclets. A custom tag must implement this interface. To be loaded and used by doclets at run-time, the taglet must have a static method called `register` that accepts a `Map` as an argument with the following signature:

       public void register(Map map)

This method should add an instance of the custom taglet to the map with the name of the taglet as the key. If overriding a taglet, to avoid a name conflict, the overridden taglet must be deleted from the map before an instance of the new taglet is added to the map.

It is recommended that the taglet throw an exception when it fails to register itself. The exception that it throws is up to the user.

Here are two sample taglets:

- ToDoTaglet.java - Standalone taglet
- UnderlineTaglet.java - Inline taglet

For more information on how to create your own Taglets, please see the Taglet Overview.

Since:
  1.4

Method Summary
`java.lang.String` | `getName()` Return the name of this custom tag.
`boolean` | `inConstructor()` Return true if this `Taglet` is used in constructor documentation.
`boolean` | `inField()` Return true if this `Taglet` is used in field documentation.
`boolean` | `inMethod()` Return true if this `Taglet` is used in method documentation.
`boolean` | `inOverview()` Return true if this `Taglet` is used in overview documentation.
`boolean` | `inPackage()` Return true if this `Taglet` is used in package documentation.
`boolean` | `inType()` Return true if this `Taglet` is used in type documentation (classes or interfaces).
`boolean` | `isInlineTag()` Return true if this `Taglet` is an inline tag.
`java.lang.String` | `toString(com.sun.javadoc.Tag tag)` Given the `Tag` representation of this custom tag, return its string representation, which is output to the generated page.
`java.lang.String` | `toString(com.sun.javadoc.Tag[] tags)` Given an array of `Tag`s representing this custom tag, return its string representation, which is output to the generated page.

Method Detail

### inField

    public boolean inField()

  Return true if this `Taglet` is used in field documentation. Set to false for inline tags.

  Returns:
    true if this `Taglet` is used in field documentation and false otherwise.

### inConstructor

    public boolean inConstructor()

  Return true if this `Taglet` is used in constructor documentation. Set to false for inline tags.

  Returns:
    true if this `Taglet` is used in constructor documentation and false otherwise.

### inMethod

    public boolean inMethod()

  Return true if this `Taglet` is used in method documentation. Set to false for inline tags.

  Returns:
    true if this `Taglet` is used in method documentation and false otherwise.

### inOverview

    public boolean inOverview()

  Return true if this `Taglet` is used in overview documentation. Set to false for inline tags.

  Returns:
    true if this `Taglet` is used in method documentation and false otherwise.

### inPackage

    public boolean inPackage()

  Return true if this `Taglet` is used in package documentation. Set to false for inline tags.

  Returns:
    true if this `Taglet` is used in package documentation and false otherwise.

### inType

    public boolean inType()

  Return true if this `Taglet` is used in type documentation (classes or interfaces). Set to false for inline tags.

  Returns:
    true if this `Taglet` is used in type documentation and false otherwise.

### isInlineTag

    public boolean isInlineTag()

  Return true if this `Taglet` is an inline tag. Return false otherwise.

  Returns:
    true if this `Taglet` is an inline tag and false otherwise.

### getName

    public java.lang.String getName()

  Return the name of this custom tag.

  Returns:
    the name of this custom tag.

### toString

    public java.lang.String toString(com.sun.javadoc.Tag tag)

  Given the `Tag` representation of this custom tag, return its string representation, which is output to the generated page.

  Parameters:
    `tag` - the `Tag` representation of this custom tag.
  Returns:
    the string representation of this `Tag`.

### toString

    public java.lang.String toString(com.sun.javadoc.Tag[] tags)

  Given an array of `Tag`s representing this custom tag, return its string representation, which is output to the generated page. This method should return null if this taglet represents an inline tag.

  Parameters:
    `tags` - the array of `Tag`s representing of this custom tag.
  Returns:
    the string representation of this `Tag`.